---
title: "Threads"
description: "Threads through the shared SNS operations: profiles, posts, reposts, replies, search and topic tags."
---

## Operations

| Operation | Endpoint | Returns | Price |
|---|---|---|---|
| [Profile](/docs/api-reference/threads/profile) | `GET \| POST /v1/threads/profile` | `Account` | $0.001–$0.002 |
| [Post](/docs/api-reference/threads/post) | `GET \| POST /v1/threads/post` | `Post` | $0.001 |
| [Posts](/docs/api-reference/threads/posts) | `GET \| POST /v1/threads/posts` | `Page<Post>` | $0.001 |
| [Comments](/docs/api-reference/threads/comments) | `GET \| POST /v1/threads/comments` | `Page<Comment>` | $0.001 |
